;* --------------------------------------------------------------------------------------
;*  Module:        max6960_spi
;*  Description:   Constants used by the MAXQ2000 SPI module.
;*  Filename:      max6960_spi.inc
;*  Date:          November 2, 2004
;*  Version:       1.00
;*
;* --------------------------------------------------------------------------------------

#define SPIFLAGS_MODEFAULT       	08h
#define SPIFLAGS_WRITECOLLISION  	10h
#define SPIFLAGS_RECEIVEOVERRUN  	20h
#define SPIFLAGS_TRANFERCOMPLETE 	40h

#define SPIFLAGS_ALLERRORS       	38h
#define SPIFLAGS_ALL             	78h

#define SPI_LENGTH_8				0
#define SPI_LENGTH_16				1

#define SPI_IDLE_LOW				0 
#define SPI_IDLE_HIGH				1

#define SPI_ACTIVE_EDGE				0
#define SPI_INACTIVE_EDGE			1

#define SPI_SLAVE_MODE				0
#define SPI_MASTER_MODE				1


