;* --------------------------------------------------------------------------------------
;*  Ted Salazar (^_^)
;*
;*  Module:        maxq2000_6960
;*  Description:   Constants used by the MAX6960 library.
;*  Filename:      maxq2000_6960.inc
;*  Date:          April 18, 2005
;*  Version:       0.01
;*
;* --------------------------------------------------------------------------------------

#define MAX6960_READ_MASK 		080h
#define MAX6960_WRITE_MASK 		000h

; Register addresses for the MAX6960
#define MAX6960REG_DRIVER_ADDR  		00h
#define MAX6960REG_PIXEL_INT_SCALE      	01h
#define MAX6960REG_PANEL_INT         		02h
#define MAX6960REG_DIGIT0_INT       		03h
#define MAX6960REG_DIGIT1_INT         		04h
#define MAX6960REG_FAULT         		05h
#define MAX6960REG_GLOBAL_DRIVER_IND_ADDR       08h
#define MAX6960REG_GLOBAL_DISPLAY_IND_ADDR_LSB  09h
#define MAX6960REG_GLOBAL_DISPLAY_IND_ADDR_MSB  0Ah
#define MAX6960REG_GLOBAL_PLANE_COUNTER        	0Bh
#define MAX6960REG_GLOBAL_PANEL_CONF       	0Dh
#define MAX6960REG_GLOBAL_DRIVER_DEVICES        0Eh
#define MAX6960REG_GLOBAL_DRIVER_ROWS     	0Fh
